Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class ChatCompletionStreamOptions

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.ChatCompletionStreamOptions

public class ChatCompletionStreamOptions extends Object
Options for streaming response. Only set this when you set `stream: true`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatCompletionStreamOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ChatCompletionStreamOptions`.
  `int`
  `hashCode()`
  `ChatCompletionStreamOptions`
  `includeUsage(Boolean includeUsage)`
  Set the includeUsage of this `ChatCompletionStreamOptions` instance and return the same instance.
  `Boolean`
  `isIncludeUsage()`
  If set, an additional chunk will be streamed before the `data: [DONE]` message.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ChatCompletionStreamOptions` instance.
  `void`
  `setIncludeUsage(Boolean includeUsage)`
  Set the includeUsage of this `ChatCompletionStreamOptions` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ChatCompletionStreamOptions` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChatCompletionStreamOptions

    public ChatCompletionStreamOptions()

- ## Method Details

  - ### includeUsage

    @Nonnull public ChatCompletionStreamOptions includeUsage(@Nullable Boolean includeUsage)
    Set the includeUsage of this `ChatCompletionStreamOptions` instance and return the same instance.
    Parameters:
      `includeUsage` - If set, an additional chunk will be streamed before the `data: [DONE]` message. The `usage` field on this chunk shows the token usage statistics for the entire request, and the `choices` field will always be an empty array. All other chunks will also include a `usage` field, but with a null value.
    Returns:
      The same instance of this `ChatCompletionStreamOptions` class

  - ### isIncludeUsage

    @Nonnull public Boolean isIncludeUsage()
    If set, an additional chunk will be streamed before the `data: [DONE]` message. The `usage` field on this chunk shows the token usage statistics for the entire request, and the `choices` field will always be an empty array. All other chunks will also include a `usage` field, but with a null value.
    Returns:
      includeUsage The includeUsage of this `ChatCompletionStreamOptions` instance.

  - ### setIncludeUsage

    public void setIncludeUsage(@Nullable Boolean includeUsage)
    Set the includeUsage of this `ChatCompletionStreamOptions` instance.
    Parameters:
      `includeUsage` - If set, an additional chunk will be streamed before the `data: [DONE]` message. The `usage` field on this chunk shows the token usage statistics for the entire request, and the `choices` field will always be an empty array. All other chunks will also include a `usage` field, but with a null value.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ChatCompletionStreamOptions`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ChatCompletionStreamOptions` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ChatCompletionStreamOptions` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ChatCompletionStreamOptions` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`